Get all the dynamic groups for a tenant

The API retrieves all dynamic groups for a given tenant, allowing further filtering based on specified search criteria.
The list of dynamic groups can be sorted in ascending or descending order using the sort parameter, which supports sorting by group name or description.
If the details parameter is set to true, the API will fetch additional information, such as the creation user and last modified user details (including username and email).By default, this parameter is set to false.
The API also supports pagination, where the page parameter specifies the page number for retrieving dynamic groups, with the default being the first page.
The limit parameter determines the maximum number of dynamic groups listed per page, with a default value of 25 and maximum limit of 500.

Entitlement required: tenantAdmin, manageDynamicGroups, readDynamicGroups
Note: You only need one entitlement, but you can have more than one.

Query Params
string

Search filter. Supported attributes: id, name, description, status.
Maximum length can be 4096 characters.
Allowable values for status attribute: waiting, inprogress, reviewpublish, failed, active, active_waiting, active_inprogress, active_reviewpublish, active_failed, waiting_for_deletion, deleting.

Syntax:- Operators for strings are =, !=.

  • Operators for booleans are =, !=.
  • Operators for numbers are >, <, >=, <=, =, !=.
  • Logical operators are &, |.
  • Parentheses to explicitly specify the intended precedence of statements.
  • Use double quotes for values of type String.

For example:
search=name="roleName"&status="active"
search=description="roleDescription"|(name!="roleName"&status="waiting")

string

Sort the result by attribute values. Supported attributes: name, description.
(+ ascending, - descending)
Default is ascending.

For example: sort=-name (sort results in descending order of name)

string
enum
Defaults to false

If details is set to true, it provides additional information about the user who created or last modified the dynamic group.

Allowed:
string

Filter the result based on attributes. Supported attributes: id, name, description, status.

For example: search=id,name,status (The response is filtered to include only id, name and status.)

string
enum
Defaults to true

If countDynamicGroups is set to true, the total number of dynamic group for the given tenant is calculated.

Allowed:
string
Defaults to 25

The maximum number of resources for a page. By default, up to 25 resources are returned per page if the limit query parameter is not specified. The maximum allowable value for the limit parameter is 500.

For example, if the limit parameter is set to 5, then, 5 resources are fetched for a page.

string
Defaults to 1

Page number used to get resources for specific page. Resources are returned for first page if no page query parameter is passed or less than 1 is passed.

For example, if the page parameter is set to 2, then, the resources are fetched for second page.

Responses

Language
URL
Response
Choose an example:
application/json